Skip to main content
`Ctrl`+`K`

# LMESetCoefficients

Sets the coefficient matrices that define the linear matrix equation to be solved.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetCoefficients(LME lme,Mat A,Mat B,Mat D,Mat E)

Collective

## Input Parameters

- lme - the linear matrix equation solver context

- A - first coefficient matrix

- B - second coefficient matrix

- D - third coefficient matrix

- E - fourth coefficient matrix

## Notes

The matrix equation takes the general form \(AXE+DXB=C\), where matrix \(C\) is not provided here but with `LMESetRHS()`. Not all four matrices must be passed, some can be `NULL` instead, see `LMESetProblemType()` for details.

It must be called before `LMESetUp()`. If it is called again after `LMESetUp()` then the `LME` object is reset.

In order to delete a previously set matrix, pass `NULL` in the corresponding argument.

## See Also

LME: Linear Matrix Equation, `LMESolve()`, `LMESetUp()`, `LMESetRHS()`, `LMESetProblemType()`

## Level

beginner

## Location

src/lme/interface/lmesetup.c

## Examples

src/lme/tutorials/ex32.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages